%{?drupal7_find_provides_and_requires}

%global module_name language_cookie

Name:          drupal7-%{module_name}
Version:       1.8
Release:       2%{?dist}
Summary:       Allows usage of cookies to remember the user's last language

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module_name}
Source0:       http://ftp.drupal.org/files/projects/%{module_name}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

Requires:      drupal7(locale)
# phpcompatinfo (computed from version 1.8)
# <none>

%description
Adds an extra "Cookie" field to the Language Negotiation settings, allowing the
language to be set according to a cookie.

The cookie name, domain & expiration are configurable in the settings page.

This package provides the following Drupal module:
* %{module_name}


%prep
%setup -q -n %{module_name}
cp -p %{SOURCE1} .

# Remove executable bit
chmod -x LICENSE.txt


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p -m 0755 %{buildroot}%{drupal7_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal7_modules}/%{module_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_modules}/%{module_name}
%exclude %{drupal7_modules}/%{module_name}/*.txt


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Shawn Iwinski <shawn.iwinski@gmail.com> 1.8-1
- Updated to 1.8 (release notes: https://drupal.org/node/2150363) (BZ #1039692)

* Thu Nov 07 2013 Peter Borsa <peter.borsa@gmail.com> 1.7-1
- Update to upstream 1.7 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2119565

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 16 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 1.6-2
- Updated for drupal7-rpmbuild 7.22-5

* Fri May 03 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 1.6-1
- Initial package
